/*********************************************************
*Copyright (C), 2024-2030
*文件名:	main.h
*版  本:	Ver1.00
*日  期:	2025/04/30
*描  述:	main.c的函数配置
*备  注:	
**********************************************************/
#ifndef   __MAIN_H__
#define   __MAIN_H__
#include "common.h"

void init_timer0(void);
void delay_ms(int n);
void Timer2SoftCapture(void);
void Timer2HwCapture(void);
void WRITE_TEST(void);
void xram_clear(void);


/* 0: 软件抓取  1: 硬件抓取 */
#define TIMER2_CAPTURE_MODE  1

/* 输出抓取信号给T2EX的IO口 */
#define TRIG_IO  	P02 	

/* 抓取一次反转一次IO口 */
#define OUT_IO  	P03 	

#endif